function [t,y] = LinImpMidPointSolve(f,df,y0,T,h)
%
% Aufgabe 3f.
%
%  [T,Y] = LINIMPMIDPOINTSOLVE(F,Y0,[T0 T1],H) solves the ODE y'=f(t,y) over
%  the interval [T0 T1] with y(T0) = Y0 using the linear implicit mid-point
%  method with step size (at most) H. The input argument F should be a
%  function handle taking the arguments (t,y) and return a column vector
%  corresponding to f(t,y).

% Initialize variables
N =       ; % number of steps
h =       ; % adjust step size to fit interval length
d =       ; % dimension of solution
t =       ; % time grid
y =         ; % solution
y(:,1) =     ; % set initial value
fval =        ; % initial right hand side

% Compute solution
for j=1:
  y(:,j+1) = LinImpMidPointStep(       );
end

function y = LinImpMidPointStep(f,df,y0,t0,h)
% computes a single step of the linearly implicit midpoint rule

  DF = df();
  k1 = (        ) \ f(t0,y0);
  y =          ;